package benefactoreparam

type LoginOrRegisterRequest struct {
	PhoneNumber      string `json:"phone_number" example:"09198829528"`
	VerificationCode string `json:"verification_code" example:"12345"`
}

type LoginOrRegisterResponse struct {
	Data        Data              `json:"data"`
	Tokens      Tokens            `json:"tokens"`
	FieldErrors map[string]string `json:"field_errors,omitempty"`
}
