package errmsg

const (
	ErrorMsgAdminNotAllowed                    = "admin is not allowed"
	ErrorMsgNotFound                           = "record not found"
	ErrorMsgSomethingWentWrong                 = "something went wrong"
	ErrorMsgInvalidInput                       = "invalid input"
	ErrorMsgInvalidStatus                      = "invalid status"
	ErrorMsgPhoneNumberIsNotUnique             = "phone number is not unique"
	ErrorMsgEmailIsNotUnique                   = "email is not unique"
	ErrorMsgPhoneNumberIsNotValid              = "phone number is not valid"
	ErrorMsgUserNotAllowed                     = "user not allowed"
	ErrorMsgBenefactorNotFound                 = "benefactor not found"
	ErrorMsgOtpCodeExist                       = "please wait a little bit"
	ErrorMsgOtpCodeIsNotValid                  = "verification code is not valid"
	ErrorMsgCantScanQueryResult                = "can't scan query result"
	ErrorMsgCantPrepareStatement               = "can't prepare statement"
	ErrorMsgPhoneNumberOrPassIsIncorrect       = "phone number or password is incorrect"
	ErrBadRequest                              = "Bad request"
	ErrorMsgAcceptKindBoxReqStatus             = "only pending requests will have the ability to be confirmed"
	ErrorMsgRejectKindBoxReqStatus             = "only pending requests will have the ability to be rejected"
	ErrorMsgAssignSenderAgentKindBoxReqStatus  = "only accepted kind_box_reqs will have the ability to be assign sender agent"
	ErrorMsgDeliverKindBoxReqStatus            = "only assigned requests will have the ability to be delivered"
	ErrorMsgAdminIsNotAgent                    = "admin is not agent"
	ErrorMsgCountAcceptedOverflow              = "count accepted is greater than count requested"
	ErrorMsgCantInsertRecord                   = "can't insert record"
	ErrorMsgCantRetrieveLastInsertID           = "can't retrieve last insert id"
	ErrorMsgCantUpdateRecord                   = "can't update record"
	ErrorMsgReferTimeNotFound                  = "refer time not found"
	ErrorMsgReferTimeIsNotActive               = "refer time is not active"
	ErrorMsgKindBoxReqDoesntBelongToBenefactor = "kind box req doesnt belong to benefactor"
	ErrorMsgCantDeleteAddress                  = "can't delete address"
	ErrorMsgFiltersAreNotValid                 = "filters are not valid"
	ErrorMsgSortFieldIsRequired                = "sort field is required"
	ErrorMsgSortDirectionShouldBeAscOrDesc     = "sort direction should be asc or desc"
	ErrorMsgSortFieldIsNotValid                = "sort field is not valid"
	ErrorMsgAssignReceiverAgentKindBoxStatus   = "only ready to return kindboxes can be assigned to a receiver agent"
	ErrorMsgReturnKindBoxStatus				   = "only returned kindboxes can be enumerated"
	ErrorMsgInvalidSerialNumberRange           = "invalid serial number range"
	ErrorMsgInvalidOrExpiredJwt                = "invalid or expired jwt"
	ErrorMsgInvalidRefreshToken                = "invalid refresh token"
)
