package agentkindboxreqparam

import (
	"time"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type Data struct {
	ID                 uint                    `json:"id"`
	BenefactorID       uint                    `json:"benefactor_id"`
	KindBoxType        entity.KindBoxType      `json:"kind_box_type"`
	CountRequested     uint                    `json:"count_requested"`
	CountAccepted      uint                    `json:"count_accepted"`
	Description        string                  `json:"description"`
	Status             entity.KindBoxReqStatus `json:"status"`
	DeliverReferTimeID uint                    `json:"deliver_refer_time_id"`
	DeliverReferDate   time.Time               `json:"deliver_refer_date"`
	DeliverAddressID   uint                    `json:"deliver_address_id"`
	SenderAgentID      uint                    `json:"sender_agent_id"`
	DeliveredAt        time.Time               `json:"delivered_at"`
}
